package org.apache.turbine.test;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */


import java.util.Locale;

import com.mockobjects.servlet.MockHttpServletResponse;

/**
 * Extension to the basic MockHttpServletResponse to provide some extra parameters
 * required by Turbine like setting of Locale
 *
 * @author <a href="mailto:epugh@upstate.com">Eric Pugh</a>
 * @version $Id: EnhancedMockHttpServletResponse.java 615328 2008-01-25 20:25:05Z tv $
 */
public class EnhancedMockHttpServletResponse extends MockHttpServletResponse
{

    public void setLocale(Locale locale){
        // eat the locale.
    }

}
